# Ogre::MouseTarget Class Reference

Handles the adding and removing of MouseListeners. More...

`#include <OgreMouseTarget.h>`

Inheritance diagram for Ogre::MouseTarget:

List of all members.

## Public Member Functions

| MouseTarget ()
virtual | ~MouseTarget ()
void | processMouseEvent (MouseEvent *e)
void | addMouseListener (MouseListener *l)
void | removeMouseListener (MouseListener *l)
bool | isMouseWithin () const
virtual Real | getLeft (void) const=0
| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
virtual Real | getTop (void) const=0
| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom).
virtual PositionTarget * | getPositionTargetParent () const=0
virtual bool | isKeyEnabled () const=0
virtual void | processEvent (InputEvent *e)=0

## Protected Attributes

std::set< MouseListener * > | mMouseListeners
bool | mMouseWithin

## Private Attributes

std::set< MouseListener * > | mRemovedListeners

## Detailed Description

Handles the adding and removing of MouseListeners.

Remarks:
  Components that process the Mouse Event should subclass this class and call processMouseEvent when that event is identified.

Definition at line 52 of file OgreMouseTarget.h.

## Constructor & Destructor Documentation

Ogre::MouseTarget::MouseTarget | ( |  | ) |

virtual Ogre::MouseTarget::~MouseTarget | ( |  | ) | `[virtual]`

| Definition at line 65 of file OgreMouseTarget.h.

## Member Function Documentation

void Ogre::MouseTarget::addMouseListener | ( | MouseListener * | l | ) |

virtual Real Ogre::PositionTarget::getLeft | ( | void |  | ) | const`[pure virtual, inherited]`

| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right). Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual PositionTarget* Ogre::PositionTarget::getPositionTargetParent | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual Real Ogre::PositionTarget::getTop | ( | void |  | ) | const`[pure virtual, inherited]`

| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom). Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual bool Ogre::PositionTarget::isKeyEnabled | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

bool Ogre::MouseTarget::isMouseWithin | ( |  | ) | const

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

void Ogre::MouseTarget::processMouseEvent | ( | MouseEvent * | e | ) |

void Ogre::MouseTarget::removeMouseListener | ( | MouseListener * | l | ) |

## Member Data Documentation

std::set<MouseListener*> Ogre::MouseTarget::mMouseListeners `[protected]`

| Definition at line 58 of file OgreMouseTarget.h.

bool Ogre::MouseTarget::mMouseWithin `[protected]`

| Definition at line 61 of file OgreMouseTarget.h.

std::set<MouseListener*> Ogre::MouseTarget::mRemovedListeners `[private]`

| Definition at line 55 of file OgreMouseTarget.h.

The documentation for this class was generated from the following file:

- OgreMouseTarget.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:34 2005